CREATE FUNCTION user_lock(int4,int4,int4) returns int4
AS 'MODULE_PATHNAME', 'user_lock' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_unlock(int4,int4,int4) returns int4
AS 'MODULE_PATHNAME', 'user_unlock' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_lock(int4,int4) returns int4
AS 'MODULE_PATHNAME', 'user_write_lock' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_unlock(int4,int4) returns int4
AS 'MODULE_PATHNAME', 'user_write_unlock' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_lock(int4,oid) returns int4
AS 'MODULE_PATHNAME', 'user_write_lock_o' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_unlock(int4,oid) returns int4
AS 'MODULE_PATHNAME', 'user_write_unlock_o' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_lock_oid(oid) returns int4
AS 'MODULE_PATHNAME', 'user_write_lock_oid' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_unlock_oid(oid) returns int4
AS 'MODULE_PATHNAME', 'user_write_unlock_oid' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_lock_oid(int4) returns int4
AS 'MODULE_PATHNAME', 'user_write_lock_oid_i' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_write_unlock_oid(int4) returns int4
AS 'MODULE_PATHNAME', 'user_write_unlock_oid_i' LANGUAGE C VOLATILE STRICT;

CREATE FUNCTION user_unlock_all() returns int4
AS 'MODULE_PATHNAME', 'user_unlock_all' LANGUAGE C VOLATILE STRICT;
